View Issue Details

IDProjectCategoryView StatusLast Update
0000269ascendbuild-linuxpublic2008-02-10 13:02
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000269: SCons install should install ASCEND header files
DescriptionHeader files should all go into the directory specified by INSTALL_INCLUDE.
There is a bit of an issue with cluttering up the namespace; really they should be under /usr/include/ascend but that will mean adding -I/usr/include/ascend to the CPPFLAGS. We should rearrange our source hierarchy so that this can be done and all ASCEND headers with <...> be prefixed by 'ascend/'.
TagsNo tags attached.

Relationships

Activities

john

2006-07-05 07:48

administrator   ~0000382

This is fixed in the extfn branch, in changeset 873.
Still needs to be merged back into the trunk.

Issue History

Date Modified Username Field Change
2006-06-23 01:40 john New Issue
2006-06-23 01:40 john Target release => 0.9.6
2006-07-05 07:47 john Status new => assigned
2006-07-05 07:47 john Assigned To => john
2006-07-05 07:48 john Status assigned => resolved
2006-07-05 07:48 john Fixed in Version => 0.9.6
2006-07-05 07:48 john Resolution open => fixed
2006-07-05 07:48 john Note Added: 0000382
2008-02-10 13:02 john Status resolved => closed